{writeShellApplication, stdenv, puredata, xset}:
let
  runsh = writeShellApplication {
    name = "phyzzy";
    runtimeInputs = [ puredata ];
    text = (builtins.readFile ./scripts/run.sh);
  };
in
stdenv.mkDerivation {
  pname = "phyzzy";
  version = "2023.0";
  src = ./pd;

  installPhase = ''
    mkdir $out
    cp -r . $out/pd
    cp -r ${runsh}/bin $out
  '';
}
